services:
  duration_field.service:
    class: 'Drupal\duration_field\Service\DurationService'
    arguments:
      - '@datetime.time'

  duration_field.granularity.service:
    class: 'Drupal\duration_field\Service\GranularityService'

  serializer.normalizer.dateintervaldata:
    class: Drupal\duration_field\Normalizer\DateIntervalDataNormalizer
    tags:
      # Priority must be higher than serializer.normalizer.primitive_data.
      - { name: normalizer, priority: 20 }
